# Простой таймер и секундомер для NVDA 1.6.5

Предоставляет функциональность таймера и секундомера непосредственно для NVDA

## Скачать

Скачайте дополнение [Простой таймер и секундомер для NVDA 1.6.5](https://github.com/marlon-sousa/TimerForNVDA/releases/download/1.6.5/TimerForNVDA-1.6.5.nvda-addon)

## Таймер и секундомер

Таймер запускает обратный отсчёт от заданного времени до 0. Когда отсчёт достигает 0, он завершается, и раздаётся сигнал.

Секундомер начинает отсчёт от 0 и продолжает его до тех пор, пока не будет показано, что нужно остановиться. Когда это произойдёт, на экране отобразится истёкшее время.

## Особенности

### Простой диалог параметров

Таймер или секундомер можно настроить с помощью простого диалога параметров.

В этом же диалоговом окне можно настроить различные индикаторы контроля выполнения.

#### Как это работает?

Используйте подменю "Настройки таймера для NVDA" или нажмите NVDA + Shift + t, чтобы открыть диалог настроек дополнения.
Подменю можно найти в меню NVDA "Сервис".

* Если запущен таймер или секундомер, вы можете:
    * Следить за ходом выполнения, читая строку состояния в диалоге настроек.
    * Приостановить, возобновить или остановить таймер или секундомер.
* Если запущен таймер или секундомер, вы можете:
    * Следить за ходом выполнения, читая строку состояния в диалоге настроек.
    * Приостановить, возобновить или остановить таймер или секундомер.
* Если таймер или секундомер остановлен, вы можете:
    * Установить режим выполнения (таймер или секундомер).
    * Установить единицу времени, используемую для начального времени таймера, а также для отображения (секунды, минуты или часы).
    * Запустить таймер или секундомер.
* В любой момент вы можете:
    * Выбрать, каким образом будет отображаться прогресс: голосом, звуковым сигналом, обоими или никаким.

### Запуск при помощи жестов ввода NVDA

В любой момент вы можете запускать, останавливать, приостанавливать, возобновлять работу и получать информацию о прогрессе от таймера или секундомера, не открывая диалог настроек.

#### Как это работает?

* Нажмите ctrl + shift + NVDA + s, чтобы запустить или остановить таймер или секундомер.
    * Если таймер или секундомер не запущен, будет запущен один из них, в зависимости от текущего режима настройки.
    * Если один из них запущен, он будет остановлен. Если таймер был остановлен, будет объявлено истекшее время.
    * Если таймер пытается запуститься, а начальное значение времени не установлено, выдаётся предупреждение.
* Нажмите ctrl + shift + NVDA + p, чтобы приостановить или перезапустить таймер.
* Нажмите ctrl + shift + NVDA + r, чтобы проверить ход выполнения таймера или секундомера. Это особенно полезно, если все индикаторы хода выполнения отключены и необходимо проверять ход выполнения по требованию.

### Запись времени

В диалоге настроек начальное время таймера вводится в формате HH:MM:SS, где HH означает часы, MM минуты и SS секунды.

Нет необходимости вводить полный формат, система сама вычислит его:

* Если введено одно число, будет использована настроенная единица времени.
* Если указаны субединицы, они будут учтены. Например, 01:05 станет одной минутой и пятью секундами, если выбрана единица времени "минуты".
Если выбрана единица времени "часы", 01:05 станет одним часом, пятью минутами и нулем секунд.
* Единицы измерения, превышающие "секунды", недопустимы. Если единицей измерения времени являются "минуты", значение 01:05:02 приниматься не будет.

### Выполнение таймеров и секундомеров

Одновременно может быть запущен только один таймер или секундомер.

За ходом выполнения можно следить, активируя ни одну, одну или несколько индикаций, читая строку состояния в диалоге параметров или нажимая команду NVDA для индикации хода выполнения, ctrl+shift+NVDA+r.

Таким образом, можно активировать таймер или секундомер, сохраняя все индикаторы отключенными, и следить за ходом выполнения, читая строку состояния, когда диалог настроек открыт.

Команды запуска, остановки, паузы, возобновления и получения индикатора выполнения по требованию можно использовать даже при активном диалоге настроек.

Может быть открыт только один диалог настроек. Если в момент закрытия диалога работает таймер или секундомер, выполнение продолжится в обычном режиме.

Если диалог настроек открыт при работающем таймере или секундомере, будет отображаться обновлённая информация.

### Точность подсчёта времени

Это дополнение не способно очень точно подсчитывать время.

Это связано с тем, что Python, язык программирования, на котором написана NVDA, не способен выполнять более одной инструкции одновременно, даже если на компьютере имеется более одного процессора или процессорного ядра.

Поэтому каждый раз, когда NVDA что-то объявляет, вычисляет или обрабатывает, в отсчёт времени вносится небольшая задержка.

Однако точность должна быть достаточно приемлемой для подавляющего большинства ситуаций, за исключением тех, где требуется точность на уровне миллисекунд или где неточность может серьезно повлиять на процесс.

Для достижения наилучших результатов индикацию хода выполнения следует отключить и запрашивать ход выполнения по требованию, используя команду NVDA для индикации хода выполнения, ctrl+shift+NVDA+r, или читая строку состояния в диалоге параметров.

### Индикация прогресса

#### Звуковая индикация

Когда эта индикация активна, она издаёт звуковой сигнал каждый раз, когда счётчик времени таймера или секундомера достигает круглого значения, в зависимости от единиц измерения времени, настроенных в диалоге параметров.

Например, если вы установили таймер на запуск в 02:30 минут, один звуковой сигнал прозвучит, когда счётчик достигнет 02:00 минут, а другой - когда счётчик достигнет 01:00 минут.

Вы можете в любой момент проверить точный счётчик времени, прочитав строку состояния в диалоге параметров или воспользовавшись командой NVDA для индикации прогресса, ctrl+shift+NVDA+r.

#### Речевая индикация

Когда эта индикация активна, она озвучивает текущее время каждый раз, когда счётчик времени достигает круглого значения, в соответствии с единицами измерения времени, настроенными в диалоге параметров.

Например, если вы установили таймер на запуск в 02:30 минут, то при счёте 02:00 минут будет отображаться "2", а при счёте 01:00 минут - "1".

Вы можете в любой момент проверить точный счёт времени, прочитав строку состояния в диалоге параметров или используя команду NVDA для индикации хода выполнения, ctrl+shift+NVDA+r.

### Индикация завершения таймера

Когда счетчик времени таймера достигает 0, таймер завершается. Это событие сигнализируется, независимо от того, какой диалог параметров активен, дискретным звуком будильника. Этот звук не зависит от активной индикации выполнения.

### Индикация завершения работы секундомера

Когда секундомер останавливается, прошедшее время объявляется независимо от активного диалога параметров.

Прошедшее время последнего запуска таймера можно посмотреть в любой момент, просмотрев строку состояния в диалоге настроек или нажав NVDA+ctrl+shift+r. Эта информация сбрасывается при запуске нового таймера или секундомера.

### Изменение командных жестов

В меню NVDA / параметры / Жесты ввода / Таймер для NVDA мы можем изменить командный жест, то есть комбинации клавиш для существующих команд, назначенных по умолчанию.

Помните, что комбинация клавиш не должна быть назначена на какую-либо другую функцию или пересекаться с любым из приложений, которые мы используем.

# помощь в переводе или разработке дополнения

Если вы хотите помочь в переводе или разработке дополнения, пожалуйста, зайдите в [репозиторий проекта](https://github.com/marlon-sousa/TimerForNVDA) и найдите файл contributing.md в каталоге документации, эквивалентном вашему языку.

## Соавторы

Особая благодарность

* Марлон Брандао де Соуза - перевод на португальский - Бразилия
* Анжело Мигель Абрантес - перевод на португальский - Португалия
* Тарик Хаджирович - перевод на хорватский язык
* Реми Руис - перевод на французский язык
* Реми Руис - перевод на испанский язык
* Умут КОРКМАЗ - перевод на турецкий язык
* Данил Костенков -  перевод на русский язык
* Георгий - перевод на украинский язык
* Брайан Мисао да Вера - перевод на английский язык
