# вклад

## создание дополнения

Вам потребуется:

* python 3.6 или выше.
* pip должен быть настроен
* scons (pip install scons)
* markdown (pip install markdown)
* утилита msgfmt. Самый простой способ получить её - установить git bash и выбрать включение инструментов bash в командной строке.

После установки всего необходимого, запустив scons в корне проекта, вы соберёте дополнение и сгенерируете документацию.

## переводы

### перевод дополнения

Предполагая, что у вас всё настроено для сборки дополнения (см. предыдущую тему), вызов scons pot должен сгенерировать pot-файл в корневой директории проекта. В нём можно сгенерировать и добавить файлы .po для вашего языка.
Текущие языки можно найти в каталоге /addon/locale

### перевод документации

Переводы документации генерируются из файлов .tpl.md (а не из .md). Поэтому, кроме этого файла (read.md) в корне проекта, вы не найдёте других .md-файлов.

Файлы .tpl.md - это обычные файлы markdown с одним дополнением: если вы используете ${[var]} в их тексте, то [var] будет заменен на переменную с тем же именем, определенную в buildvars.py при генерации соответствующих файлов md и.html.

Если переменной с таким именем не существует, замена не происходит.

Это полезно, например, для генерации ссылок и заголовков с включённой версией дополнения без необходимости переписывать документацию.

Чтобы перевести документацию, возьмите файл readme.tpl.md в корне проекта и переведите его. Переведенный файл должен иметь имя readme.tpl.md и должен быть помещен в каталог addon/doc/[lang].

Переменные ${[xxx]} должны остаться нетронутыми. Чтобы сгенерировать документацию, запустите scons, и будут сгенерированы разметка и HTML.
