# Таймер для NVDA 1.6.5
Додає функції таймера та секундоміра безпосередньо в NVDA

## завантажити

Завантажити [ Simple Timer and stopwatch for NVDA 1.6.5 addon](https://github.com/marlon-sousa/TimerForNVDA/releases/download/1.6.5/TimerForNVDA-1.6.5.nvda-addon)

## таймер та секундомір

Таймер відраховує певний час до 0. Коли він досягає 0, він завершує роботу та подає сигнал.

Секундомір починає відлік від 0 і продовжує працювати, поки не отримає вказівку зупинитися. Коли це відбувається, відображається час, що минув.

## Можливості

### простий діалог налаштувань

Таймер або секундомір можна настроїти за допомогою простого діалогу налаштувань.

У цьому ж діалозі можна налаштувати різні оголошення перебігу.

#### як це працює

Скористайтеся підменю «Налаштування таймера для NVDA» або натисніть NVDA + Shift + t, щоб відкрити діалог налаштувань додатка.
Підменю розташоване в меню «інструменти» NVDA.

* якщо працює таймер або секундомір, ви можете:
    * Відстежувати перебіг, читаючи рядок стану діалогу налаштувань.
    * Призупиняти, відновлювати або зупиняти таймер або секундомір.
* якщо таймер або секундомір зупинено, ви можете:
    * Налаштувати режим роботи (таймер або секундомір)
    * Налаштувати одиницю часу, яка використовується для початкового часу для таймера, а також для оголошення (секунди, хвилини або години)
    * запустити таймер або секундомір.
* у будь-який час ви можете:
    * вибрати, як оголошуватиметься перебіг: мовленням, звуковим сигналом, і тим, і іншим або ніяк.

### запуск за допомогою команд NVDA

У будь-який момент можна запустити, зупинити, призупинити, відновити та отримати оголошення про перебіг роботи таймера або секундоміра без необхідності використання діалогу налаштувань.

#### Як це працює

* натисніть ctrl + shift + NVDA + s, щоб запустити або зупинити таймер або секундомір.
    * Якщо ні таймер, ні секундомір не запущено, запуститься один із них відповідно до поточного режиму роботи.
    * якщо один із них працює, він зупиниться. Час, що минув, оголошується, якщо працював секундомір
    *     Якщо таймер запускати, а попередньо початковий час не встановлено, видається попередження.
* натисніть ctrl + shift + NVDA + p, щоб призупинити або відновити таймер або секундомір.
* натисніть ctrl + shift + NVDA + r, щоб перевірити перебіг таймера або секундоміра. Це особливо корисно, якщо всі оголошення про прогрес вимкнено, і ви хочете перевірити перебіг за запитом.

### введення часу

У діалозі налаштувань початковий час для таймера вводиться у форматі ГГ:ХХ:СС, де ГГ означає години, ХХ – хвилини, а СС – секунди.

Повний формат вводити не потрібно, система сама його виведе:

* якщо введено просте число, використовуватиметься обрана одиниця часу.
* якщо вказано підодиниці вони будуть враховані. Наприклад, 01:05 стає однією хвилиною і п’ятьма секундами, якщо вибрано одиницю часу «хвилини».
Якщо вибрано одиницею часу «години», 01:05 стає однією годиною, п’ятьма хвилинами та нулем секунд.
* Підодиниці, що перевищують "секунди", недійсні. Якщо одиницею часу є "хвилини", значення 01:05:02 не буде прийнято.

### запущений таймер чи секундомір

Одночасно можна запустити лише один таймер або секундомір.
Перебіг можна відстежувати за допомогою жодного, одного чи кількох оголошень, читаючи рядок стану діалогу таймера або виконуючи команду оголошення про статус, ctrl+shift+NVDA+r.
Таким чином, можна запустити систему з відключеними оголошеннями і відстежувати прогрес, читаючи рядок стану при відкритті діалогу.

Команди для зупинки, запуску, паузи, відновлення або отримання оголошення про перебіг роботи за запитом можна використовувати, навіть якщо діалог налаштувань активний.

Може бути запущено лише один екземпляр діалогу налаштувань. Якщо діалог налаштувань закрито, поточне виконання таймера або секундоміра продовжуватиме працювати.

Якщо діалог налаштувань відкрито під час роботи таймера або секундоміра, в ньому буде відображатися оновлена інформація.

### точність часу

Цей додаток не може рахувати час надзвичайно точно.

Це відбувається тому, що мова python, якою написано NVDA, не може виконувати більше однієї інструкції одночасно, навіть якщо для використання доступно більше одного процесу або процесорного ядра.

Таким чином, щоразу, коли NVDA говорить, обчислює або обробляє щось, підрахунок часу матиме невелику затримку.

Точність, однак, повинна бути хорошою для переважної більшості випадків, якщо тільки не потрібна точність мілісекунд, інакше будь-який процес сильно постраждає від затримки.

Для отримання точніших результатів оголошення варто вимкнути, а натомість дізнаватися про перебіг або за запитом, шляхом натискання клавіш ctrl+shift+NVDA+r, або читанням рядка стану в діалозі таймера.

### оголошення

#### Звукове оголошення

Якщо цю функцію активовано, додаток відтворює звуковий сигнал кожного разу, коли відлік таймера або секундоміра досягає круглого значення відповідно до одиниці часу, налаштованої в діалозі налаштувань.

Якщо ви, наприклад, налаштували таймер на 02:30 хвилин, то при відліку о 02:00 хвилин пролунає звуковий сигнал, а при відліку о 01:00 хвилині - ще один.

Точний підрахунок можна отримати, прочитавши рядок стану діалогу налаштувань або виконавши команду оголошення статусу, ctrl+shift+NVDA+r.

#### Оголошення мовленням

При активації цієї функції поточний час відраховується щоразу, коли він досягає круглого значення, відповідно до одиниці часу, налаштованої в діалозі налаштувань.

Якщо ви, наприклад, налаштували таймер на 02:30 хвилин, «2» буде вимовлено, коли підрахунок відбудеться на 02:00 хвилині, а «1» буде вимовлено, коли він настане на 01:00 хвилині.

Точний підрахунок можна отримати, прочитавши рядок стану діалогу налаштувань або виконавши команду оголошення статусу, ctrl+shift+NVDA+r.

### оголошення про завершення таймера

Коли час, що відраховується таймером, досягає 0, він завершується. Про це, незалежно від того, чи активний діалог налаштувань, сигналізує тихий звук будильника. Цей звук не залежить від того, чи активні оголошення про прогрес.

### оголошення про закінчення секундоміра

Коли секундомір зупиняється, його час вимовляється, незалежно від того, чи діалог налаштувань активний.

Час останнього виконання секундоміра можна перевірити, переглянувши рядок стану діалогу налаштувань або натиснувши NVDA+ctrl+shift+r. Ця інформація скидається під час запуску нового секундоміра або таймера.

### Змінити жести вводу

Ви можете змінити стандартні жести для цього додатка, зайшовши в розділ "Таймер для NVDA" в меню NVDA / Параметри / Жести вводу.

Пам'ятайте, що при зміні жестів вводу необхідно вибирати команди, які не використовуються іншими додатками NVDA, щоб уникнути конфліктів.

# Сприяння та переклад

Якщо ви хочете долучитись до роботи над додатком або перекласти його, будь ласка, приєднайтеся до [репозиторію проєкту](https://github.com/marlon-sousa/TimerForNVDA) і знайдіть інструкції у файлі contributing.md будь-якою з ваших мов або в папці з англомовною документацією.

## Перекладачі

Особлива подяка

* Marlon Brandão за Sousa - бразильський (португальський) переклад
* Tarik Hadžirović - хорватський переклад
* Rémy Ruiz - французький переклад
* Ângelo Miguel Abrantes - португальський переклад
* Rémy Ruiz - іспанський переклад
* Umut KORKMAZ - турецький переклад
* Danil Kostenkov - Російський переклад
* Heorhii - український переклад
* Brian Missao da Vera - сумісність з NVDA 2022.1
* Едільберто Фонсека - сумісність з NVDA 2024.1
